Need help with jmessage-flutter-plugin?
Click the “chat” button below for chat support from the developer who created it, or find similar developers for support.

About the developer

jpush
160 Stars 43 Forks MIT License 121 Commits 46 Opened issues

Description

JMessage's Flutter plugin (Android & iOS). 极光推送官方支持的 Flutter 插件(Android & iOS)。

Services available

!
?

Need anything else?

Contributors list

QQ Group pub package

jmessage_flutter

安装

在工程 pubspec.yaml 中加入 dependencies

//github 集成  
dependencies:
  jmessage_flutter:
    git:
      url: git://github.com/jpush/jmessage-flutter-plugin.git
      ref: master

//pub.dev 集成 dependencies: jmessage_flutter: 0.6.5

配置

/android/app/build.gradle
中添加下列代码:
android {
    ......
    defaultConfig {
        applicationId "com.xxx.xxx" //JPush上注册的包名.
        ......

    ndk {
        //选择要添加的对应cpu类型的.so库。
        abiFilters 'armeabi', 'armeabi-v7a', 'armeabi-v8a'
        // 还可以添加 'x86', 'x86_64', 'mips', 'mips64'
    }

    manifestPlaceholders = [
        JPUSH_PKGNAME : applicationId,
        JPUSH_APPKEY : "你的appkey", //JPush上注册的包名对应的appkey.
        JPUSH_CHANNEL : "developer-default", //暂时填写默认值即可.
    ]
    ......
}
......

}

使用

import 'package:jmessage_flutter/jmessage_flutter.dart';

APIs

注意 : 需要先调用

JmessageFlutter().init
来初始化插件,才能保证其它功能正常工作。

参考

We use cookies. If you continue to browse the site, you agree to the use of cookies. For more information on our use of cookies please see our Privacy Policy.